let currentItemId = null;

function openNoteModal(event, itemId) {
  event.stopPropagation();
  currentItemId = itemId;
  // Pobierz notatkę z HTML-a, jeśli chcesz pokazywać aktualną (opcjonalnie)
  const noteEl = document.querySelector(`#item-${itemId} small`);
  document.getElementById('noteText').value = noteEl ? noteEl.innerText : "";
  const modal = new bootstrap.Modal(document.getElementById('noteModal'));
  modal.show();
}

function submitNote(e) {
  e.preventDefault();
  const text = document.getElementById('noteText').value;

  if (currentItemId !== null) {
    socket.emit('update_note', { item_id: currentItemId, note: text });

    const modal = bootstrap.Modal.getInstance(document.getElementById('noteModal'));
    modal.hide();
  }
}

document.addEventListener("DOMContentLoaded", () => {
  document.querySelectorAll('.clickable-item').forEach(item => {
    item.addEventListener('click', function(e) {
      // Jeśli klik w button (np. Notatka), nie zaznaczaj
      if (!e.target.closest('button') && e.target.tagName.toLowerCase() !== 'input') {
        const checkbox = this.querySelector('input[type="checkbox"]');

        if (checkbox.disabled) {
          return;
        }

        if (checkbox.checked) {
          socket.emit('uncheck_item', { item_id: parseInt(this.id.replace('item-', ''), 10) });
        } else {
          socket.emit('check_item', { item_id: parseInt(this.id.replace('item-', ''), 10) });
        }

        checkbox.disabled = true;
        this.classList.add('opacity-50');

        let existingSpinner = this.querySelector('.spinner-border');
        if (!existingSpinner) {
          const spinner = document.createElement('span');
          spinner.className = 'spinner-border spinner-border-sm ms-2';
          spinner.setAttribute('role', 'status');
          spinner.setAttribute('aria-hidden', 'true');
          checkbox.parentElement.appendChild(spinner);
        }
      }
    });
  });
});
